Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Reply_Guard Class Reference

A guard class used for storing and forwarding the reply status to the portable interceptors. More...

`#include <Synch_Invocation.h>`

Collaboration diagram for TAO::Reply_Guard:

[legend]
List of all members.

## Public Methods
| Reply_Guard (Invocation_Base *s, Invocation_Status is)
| ~Reply_Guard (void)
void | set_status (Invocation_Status s)
| Mutator to set the invocation status.
## Private Attributes
Invocation_Base * | invocation_
Invocation_Status | status_

## Detailed Description

A guard class used for storing and forwarding the reply status to the portable interceptors.

## Constructor & Destructor Documentation

ACE_INLINE TAO::Reply_Guard::Reply_Guard | ( | Invocation_Base * | s,
|  | Invocation_Status | is
| ) |

ACE_INLINE TAO::Reply_Guard::~Reply_Guard | ( | void |  | ) |

| The destructor calls Invocation_Base::reply_received with the right reply status, which is useful for PI's.

## Member Function Documentation

ACE_INLINE void TAO::Reply_Guard::set_status | ( | Invocation_Status | s | ) |

| Mutator to set the invocation status.

## Member Data Documentation

Invocation_Base* TAO::Reply_Guard::invocation_`[private]`

Invocation_Status TAO::Reply_Guard::status_`[private]`

The documentation for this class was generated from the following files:

- Synch_Invocation.h
- Synch_Invocation.inl